MagicMirror² v2.13.0 is available! For more information about this release, check out this topic.

Error with dependencies, but it's different then the other ones just posted?!?!?



  • I’m a complete noob at this, so if this is actually the same, I apologize, but to my very untrained eye, it looks different:

    Cloning MagicMirror Done!
    Installing dependencies ...
    (node:5030) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    npm WARN deprecated time-grunt@2.0.0: Deprecated because Grunt is practically unmaintained. Move on to something better. This package will continue to work with Grunt v1, but it will not receive any updates.
    npm WARN engine grunt-markdownlint@2.5.0: wanted: {"node":">=6","npm":">=3"} (current: {"node":"8.11.1","npm":"1.4.21"})
    npm ERR! Error: Method Not Allowed
    npm ERR!     at errorResponse (/usr/share/npm/lib/cache/add-named.js:260:10)
    npm ERR!     at /usr/share/npm/lib/cache/add-named.js:120:12
    npm ERR!     at saved (/usr/share/npm/node_modules/npm-registry-client/lib/get.js:167:7)
    npm ERR!     at FSReqWrap.oncomplete (fs.js:135:15)
    npm ERR! If you need help, you may report this *entire* log,
    npm ERR! including the npm and node versions, at:
    npm ERR!     
    
    npm ERR! System Linux 4.19.57-v7+
    npm ERR! command "/usr/bin/node" "/usr/bin/npm" "install"
    npm ERR! cwd /home/pi/MagicMirror
    npm ERR! node -v v8.11.1
    npm ERR! npm -v 1.4.21
    npm ERR! code E405
    |
    > electron-chromedriver@1.8.0 install /home/pi/MagicMirror/node_modules/spectron/node_modules/electron-chromedriver
    > node ./download-chromedriver.js
    
    successfully dowloaded and extracted!
    npm WARN deprecated left-pad@1.3.0: use String.prototype.padStart()
    npm ERR! tar.unpack untar error /home/pi/.npm/postcss-jsx/0.36.1/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/table/5.4.1/package.tgz
    npm ERR! error rolling back Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/postcss/lib'
    npm ERR! error rolling back  stylelint@10.1.0 { Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/postcss/lib'
    npm ERR! error rolling back   errno: -39,
    npm ERR! error rolling back   code: 'ENOTEMPTY',
    npm ERR! error rolling back   syscall: 'rmdir',
    npm ERR! error rolling back   path: '/home/pi/MagicMirror/node_modules/stylelint/node_modules/postcss/lib' }
    npm ERR! tar.unpack untar error /home/pi/.npm/log-symbols/2.2.0/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/postcss-selector-parser/3.1.1/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/camelcase-keys/4.2.0/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/is-fullwidth-code-point/3.0.0/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/autoprefixer/9.6.1/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/minimist-options/3.0.2/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/braces/3.0.2/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/ansi-regex/4.1.0/package.tgz
    npm ERR! error rolling back Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/micromatch/node_modules/picomatch'
    npm ERR! error rolling back  micromatch@4.0.2 { Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/micromatch/node_modules/picomatch'
    npm ERR! error rolling back   errno: -39,
    npm ERR! error rolling back   code: 'ENOTEMPTY',
    npm ERR! error rolling back   syscall: 'rmdir',
    npm ERR! error rolling back   path: '/home/pi/MagicMirror/node_modules/stylelint/node_modules/micromatch/node_modules/picomatch' }
    npm ERR! tar.unpack untar error /home/pi/.npm/emoji-regex/8.0.0/package.tgz
    npm ERR! tar.unpack untar error /home/pi/.npm/yargs-parser/10.1.0/package.tgz
    npm ERR! error rolling back Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/meow/node_modules/normalize-package-data/lib'
    npm ERR! error rolling back  meow@5.0.0 { Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/meow/node_modules/normalize-package-data/lib'
    npm ERR! error rolling back   errno: -39,
    npm ERR! error rolling back   code: 'ENOTEMPTY',
    npm ERR! error rolling back   syscall: 'rmdir',
    npm ERR! error rolling back   path: '/home/pi/MagicMirror/node_modules/stylelint/node_modules/meow/node_modules/normalize-package-data/lib' }
    npm ERR! error rolling back Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/postcss-markdown/node_modules/unist-util-find-all-after'
    npm ERR! error rolling back  postcss-markdown@0.36.0 { Error: ENOTEMPTY: directory not empty, rmdir '/home/pi/MagicMirror/node_modules/stylelint/node_modules/postcss-markdown/node_modules/unist-util-find-all-after'
    npm ERR! error rolling back   errno: -39,
    npm ERR! error rolling back   code: 'ENOTEMPTY',
    npm ERR! error rolling back   syscall: 'rmdir',
    npm ERR! error rolling back   path: '/home/pi/MagicMirror/node_modules/stylelint/node_modules/postcss-markdown/node_modules/unist-util-find-all-after' }
    \
    > core-js@2.6.9 postinstall /home/pi/MagicMirror/node_modules/spectron/node_modules/webdriverio/node_modules/babel-runtime/node_modules/core-js
    > node scripts/postinstall || echo "ignore"
    
    npm ERR! 
    npm ERR! Additional logging details can be found in:
    npm ERR!     /home/pi/MagicMirror/npm-debug.log
    npm ERR! not ok code 0
    Unable to install dependencies!
    
    

    Any help would be great, but I’ll be honest I need step by step instructions but yeah, I don’t know squat. Thanks a ton for your help!



  • @stalker401 show us the output of npm -v and node -v please



  • @sdetweil im sorry im just so new to this. How do i get that info and show it?



  • Just start a xterm (or any terminal) on the RPi, and type those commands in there. And copy+paste the output of those to the forum.

    Maybe you have to execute those from the Magicmirror directory, I am not sure. But if yes, in the xterm you started just type ‘cd MagicMirror’. And after that type those 2 commands.



  • @tcsabina awesome thanks. Ill get on that after work today



  • So I ran from the MagicMirror directory and not from it:

    pi@raspberrypi:~ $ npm -v
    1.4.21
    (node:1633) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    pi@raspberrypi:~ $ node -v
    v8.11.1
    pi@raspberrypi:~ $ cd MagicMirror
    pi@raspberrypi:~/MagicMirror $ npm -v
    1.4.21
    (node:1641) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    pi@raspberrypi:~/MagicMirror $ node -v
    v8.11.1
    
    

    I hope this helps. If I screwed up somehow let me know.



  • @stalker401 npm is WAY downlevel

    Do

    npm i -g npm
    

    Then redo the npm -v
    Should be 6.?.?



  • I ran it, and I have a feeling I screw up:

    Not from MagicMirror:

    pi@raspberrypi:~ $ npm i -g npm
    (node:2262) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    npm ERR! tar.unpack untar error /home/pi/.npm/npm/6.10.1/package.tgz
    npm ERR! Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/npm'
    npm ERR!  { Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/npm'
    npm ERR!   errno: -13,
    npm ERR!   code: 'EACCES',
    npm ERR!   syscall: 'mkdir',
    npm ERR!   path: '/usr/local/lib/node_modules/npm',
    npm ERR!   fstream_type: 'Directory',
    npm ERR!   fstream_path: '/usr/local/lib/node_modules/npm',
    npm ERR!   fstream_class: 'DirWriter',
    npm ERR!   fstream_stack: 
    npm ERR!    [ '/usr/lib/nodejs/fstream/lib/dir-writer.js:35:25',
    npm ERR!      '/usr/lib/nodejs/mkdirp/index.js:46:53',
    npm ERR!      'FSReqWrap.oncomplete (fs.js:152:21)' ] }
    npm ERR! 
    npm ERR! Please try running this command again as root/Administrator.
    
    npm ERR! System Linux 4.19.57-v7+
    npm ERR! command "/usr/bin/node" "/usr/bin/npm" "i" "-g" "npm"
    npm ERR! cwd /home/pi
    npm ERR! node -v v8.11.1
    npm ERR! npm -v 1.4.21
    npm ERR! path /usr/local/lib/node_modules/npm
    npm ERR! syscall mkdir
    npm ERR! fstream_path /usr/local/lib/node_modules/npm
    npm ERR! fstream_type Directory
    npm ERR! fstream_class DirWriter
    npm ERR! code EACCES
    npm ERR! errno -13
    npm ERR! stack Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/npm'
    npm ERR! fstream_stack /usr/lib/nodejs/fstream/lib/dir-writer.js:35:25
    npm ERR! fstream_stack /usr/lib/nodejs/mkdirp/index.js:46:53
    npm ERR! fstream_stack FSReqWrap.oncomplete (fs.js:152:21)
    npm ERR! Error: EACCES: permission denied, open 'npm-debug.log'
    npm ERR!  { Error: EACCES: permission denied, open 'npm-debug.log'
    npm ERR!   errno: -13,
    npm ERR!   code: 'EACCES',
    npm ERR!   syscall: 'open',
    npm ERR!   path: 'npm-debug.log' }
    npm ERR! 
    npm ERR! Please try running this command again as root/Administrator.
    
    npm ERR! System Linux 4.19.57-v7+
    npm ERR! command "/usr/bin/node" "/usr/bin/npm" "i" "-g" "npm"
    npm ERR! cwd /home/pi
    npm ERR! node -v v8.11.1
    npm ERR! npm -v 1.4.21
    npm ERR! path npm-debug.log
    npm ERR! syscall open
    npm ERR! code EACCES
    npm ERR! errno -13
    npm ERR! stack Error: EACCES: permission denied, open 'npm-debug.log'
    npm ERR! 
    npm ERR! Additional logging details can be found in:
    npm ERR!     /home/pi/npm-debug.log
    npm ERR! not ok code 0
    pi@raspberrypi:~ $ npm -v
    1.4.21
    (node:2273) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    
    

    and than from MagicMirror:

    pi@raspberrypi:~/MagicMirror $ npm i -g npm
    (node:2633) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    npm ERR! tar.unpack untar error /home/pi/.npm/npm/6.10.1/package.tgz
    npm ERR! Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/npm'
    npm ERR!  { Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/npm'
    npm ERR!   errno: -13,
    npm ERR!   code: 'EACCES',
    npm ERR!   syscall: 'mkdir',
    npm ERR!   path: '/usr/local/lib/node_modules/npm',
    npm ERR!   fstream_type: 'Directory',
    npm ERR!   fstream_path: '/usr/local/lib/node_modules/npm',
    npm ERR!   fstream_class: 'DirWriter',
    npm ERR!   fstream_stack: 
    npm ERR!    [ '/usr/lib/nodejs/fstream/lib/dir-writer.js:35:25',
    npm ERR!      '/usr/lib/nodejs/mkdirp/index.js:46:53',
    npm ERR!      'FSReqWrap.oncomplete (fs.js:152:21)' ] }
    npm ERR! 
    npm ERR! Please try running this command again as root/Administrator.
    
    npm ERR! System Linux 4.19.57-v7+
    npm ERR! command "/usr/bin/node" "/usr/bin/npm" "i" "-g" "npm"
    npm ERR! cwd /home/pi/MagicMirror
    npm ERR! node -v v8.11.1
    npm ERR! npm -v 1.4.21
    npm ERR! path /usr/local/lib/node_modules/npm
    npm ERR! syscall mkdir
    npm ERR! fstream_path /usr/local/lib/node_modules/npm
    npm ERR! fstream_type Directory
    npm ERR! fstream_class DirWriter
    npm ERR! code EACCES
    npm ERR! errno -13
    npm ERR! stack Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/npm'
    npm ERR! fstream_stack /usr/lib/nodejs/fstream/lib/dir-writer.js:35:25
    npm ERR! fstream_stack /usr/lib/nodejs/mkdirp/index.js:46:53
    npm ERR! fstream_stack FSReqWrap.oncomplete (fs.js:152:21)
    npm ERR! 
    npm ERR! Additional logging details can be found in:
    npm ERR!     /home/pi/MagicMirror/npm-debug.log
    npm ERR! not ok code 0
    pi@raspberrypi:~/MagicMirror $ npm -v
    1.4.21
    (node:2688) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    
    


  • Ok figured out I’m an idiot:

    pi@raspberrypi:~/MagicMirror $ sudo npm i -g npm
    (node:2766) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
    npm WARN package.json path-is-inside@1.0.2 No README data
    npm WARN package.json sorted-object@2.0.1 No README data
    npm WARN package.json config-chain@1.1.12 No license field.
    npm WARN package.json cyclist@0.2.2 No license field.
    npm WARN package.json json-schema@0.2.3 No license field.
    npm WARN package.json punycode@1.4.1 punycode is also the name of a node core module.
    npm WARN package.json qrcode-terminal@0.12.0 No license field.
    npm WARN package.json string_decoder@1.2.0 string_decoder is also the name of a node core module.
    /usr/local/bin/npm -> /usr/local/lib/node_modules/npm/bin/npm-cli.js
    /usr/local/bin/npx -> /usr/local/lib/node_modules/npm/bin/npx-cli.js
    npm@6.10.1 /usr/local/lib/node_modules/npm
    pi@raspberrypi:~/MagicMirror $ sudo npm -v
    6.10.1
    
    

    I’m guessing I need to run this not from MagicMirror and rerun the bash for MagicMirror again?



  • Ok so here’s what I got:

    pi@raspberrypi:~ $ sudo npm i -g npm
    /usr/bin/npx -> /usr/lib/node_modules/npm/bin/npx-cli.js
    /usr/bin/npm -> /usr/lib/node_modules/npm/bin/npm-cli.js
    + npm@6.10.1
    added 433 packages from 823 contributors in 44.875s
    pi@raspberrypi:~ $ sudo npm -v
    6.10.1
    
    

    Do I just need to change the name of hte MagicMirror folder and rerun the bash again?


Log in to reply